% =============================================================================
%
function dudt=rhs_magnetic_VEH_3(t,u)
%
% for solve_magnetic_VEH_3 (Kecik paper)
% CBP 27-02-21
%
% =============================================================================

global m c k1 k3 g alpha RL RC L A omegaDrive beta


dudt = zeros(3,1);

% sweep code ----------------------

%{
if( t < 5)                omegaDrive = 10.0; endif
if((t >= 5)  && (t < 10)) omegaDrive = 15; endif
if((t >= 10) && (t < 15)) omegaDrive = 20; endif
if((t >= 15) && (t < 20)) omegaDrive = 25; endif
if((t >= 20) && (t < 25)) omegaDrive = 30; endif
if((t >= 25) && (t < 30)) omegaDrive = 35; endif
if((t >= 30) && (t < 35)) omegaDrive = 40; endif
if((t >= 35) && (t < 40)) omegaDrive = 45; endif
if((t >= 40) && (t < 45)) omegaDrive = 50; endif
if((t >= 45) && (t < 50)) omegaDrive = 55; endif
if((t >= 50) && (t < 55)) omegaDrive = 60; endif
if((t >= 55) && (t < 65)) omegaDrive = 65; endif
if((t >= 65) && (t < 75)) omegaDrive = 65; endif
if(            (t >= 75)) omegaDrive = 70; endif
%}

%{
if( t < 5)                omegaDrive = 60; endif
if((t >= 5)  && (t < 10)) omegaDrive = 62; endif
if((t >= 10) && (t < 15)) omegaDrive = 64; endif
if((t >= 15) && (t < 20)) omegaDrive = 66; endif
if((t >= 20) && (t < 25)) omegaDrive = 68; endif
if((t >= 25) && (t < 30)) omegaDrive = 70; endif
if(t > 30) omegadrive = 72; endif;
%}

%{
if((t >= 30) && (t < 35)) omegaDrive = 40; endif
if((t >= 35) && (t < 40)) omegaDrive = 45; endif
if((t >= 40) && (t < 45)) omegaDrive = 50; endif
if((t >= 45) && (t < 50)) omegaDrive = 55; endif
if((t >= 50) && (t < 55)) omegaDrive = 60; endif
if((t >= 55) && (t < 65)) omegaDrive = 65; endif
if((t >= 65) && (t < 75)) omegaDrive = 65; endif
if(            (t >= 75)) omegaDrive = 70; endif
%}

%{
if ( t < 1) omegaDrive = 10; endif;
if (rem(int32(t),5) == 0)
  omegaDrive = omegaDrive + 5.0;
endif
%} 

dudt(1) = u(2)/beta;
dudt(2) = ((-k1*u(1) - k3*u(1)*u(1)*u(1) - c*u(2) - alpha*u(3))/m ...
          - g + omegaDrive*omegaDrive*A*sin(omegaDrive*t/beta))/beta;
dudt(3) = (alpha*u(2) - (RL + RC)*u(3))/(L*beta);          

