% =============================================================================
%
% solve_magnetic_VEH_3.m
% CBP 27-02-21
% From Kecik paper
%
% =============================================================================

global m c k1 k3 g alpha RL RC L A omegaDrive beta

tstart = 0;
tend = input('Input end time ');

% parameters ------------------------------------
g = 9.81;
m = 0.09;
c = 0.054;
k3 = 1.6E5;
RC = 1.2E3;
RL = 2.3E3 - RC;
k1 = 38.7;
L = 1.46;
alpha = 60;
xinit = [0,0,0];

omegaDrive = 20;
omegaDrive = input('Input omegaDrive ');

A = input('Input amplitude ');

% time scaling (beta)
beta = 10.0;
beta = input('Input beta ');

options = odeset('RelTol',1e-6,'AbsTol',1e-6,'InitialStep',tend/1e5,'MaxStep',tend/1e5);

[t,y] = ode45(@rhs_magnetic_VEH_3,[tstart,tend],xinit,options);

figure(1);
plot(t,y(:,1));
title('displacement vs. time');

figure(2);
plot(t,y(:,3));
title('current vs. time');


